Subject: Adding more verbose information

From: [email-masked]
Date: Fri, 04 Nov 2022 03:03:47 +0100

I still learning about guile and guix, I found I way to provide the 
complete output of stacktrace, I first loaded guix in a interactive 
session with "pull" as the unique argument as follows, and applied 
(main), and after the exceptions I used ,bt command.

$ guile -l $(which guix) -- pull
GNU Guile 3.0.8
Copyright (C) 1995-2021 Free Software Foundation, Inc.

Guile comes with ABSOLUTELY NO WARRANTY; for details type `,show w'.
This program is free software, and you are welcome to redistribute it
under certain conditions; type `,show c' for details.

Enter `,help' for help.
scheme@(guile-user)> (main)
Atualizando canal "guix" a partir do repositório Git 
"https://git.savannah.gnu.org/git/guix.git"...
Compilando a partir deste canal:
   guix      https://git.savannah.gnu.org/git/guix.git   e3280ae
ice-9/boot-9.scm:1685:16: In procedure raise-exception:
erro: 
#{\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x
...

Entering a new prompt.  Type `,bt' for a backtrace or `,q' to continue.
scheme@(guile-user) [1]> ,bt
In guix/ui.scm:
    2238:7 24 (run-guix . _)
   2201:10 23 (run-guix-command _ . _)
In ice-9/boot-9.scm:
   1752:10 22 (with-exception-handler _ _ #:unwind? _ #:unwind-for-type 
_)
   1747:15 21 (with-exception-handler #<procedure 7f4d1f502c90 at 
ice-9/boot-9.scm:1831:7 (exn)> _ #:unwind? _ #:unwind-for-type _)
   1752:10 20 (with-exception-handler _ _ #:unwind? _ #:unwind-for-type 
_)
In guix/store.scm:
    659:37 19 (thunk)
In guix/status.scm:
     815:4 18 (call-with-status-report _ _)
In guix/store.scm:
    1321:3 17 (_)
    1298:8 16 (call-with-build-handler #<procedure 7f4d1f502480 at 
guix/ui.scm:1170:2 (continue store things mode)> _)
In guix/build/syscalls.scm:
    1425:3 15 (_)
    1392:4 14 (call-with-file-lock/no-wait _ #<procedure 7f4cfbddadb0 at 
guix/scripts/pull.scm:890:21 ()> _)
In guix/store.scm:
   2168:25 13 (run-with-store #<store-connection 256.99 7f4d1f3f5a50> 
#<procedure 7f4cfbdddf60 at guix/scripts/pull.scm:452:2 (state)> 
#:guile-for-build _ #:system _ #:target _)
In guix/scripts/pull.scm:
     452:2 12 (_ _)
In guix/channels.scm:
     891:2 11 (_ _)
In guix/monads.scm:
     471:9 10 (_ _)
In guix/store.scm:
   1996:13  9 (_ #<store-connection 256.99 7f4d1f3f5a50>)
In guix/channels.scm:
    682:20  8 (build-from-source #<<channel-instance> channel: 
#<<channel> name: guix url: "https://git.savannah.gnu.org/git/guix.git" 
branch: "master" commit: #f introduction: #<<channel-in…> …)
In ice-9/boot-9.scm:
    2836:4  7 (save-module-excursion #<procedure 7f4d1433f7a0 at 
guix/channels.scm:683:20 ()>)
In guix/channels.scm:
    689:25  6 (_)
In unknown file:
            5 (primitive-load 
"/gnu/store/yjllxib1fm3zqkwmr5j4lpxhz3zqsjjz-guix-e3280ae/build-aux/build-self.scm")
In ice-9/eval.scm:
    223:20  4 (proc #<directory (guile-user) 7f4d1f460c80>)
In unknown file:
            3 (%resolve-variable (7 . #) #<directory (guile-user) 
7f4d1f460c80>)
In ice-9/boot-9.scm:
   1685:16  2 (raise-exception _ #:continuable? _)
   1685:16  1 (raise-exception _ #:continuable? _)
   1685:16  0 (raise-exception _ #:continuable? _)